\centering
\begin{tikzpicture}
\path
(0,2)  coordinate []  (shiftV)
(6,0)	coordinate []  (shiftH)
(2,0) 	coordinate []  (smallShiftH);

\node at (0,0)(MS){MonodomainSolver};
\node at ($(MS) - (shiftV)$)(IBTMS){IBTSplittingSolver};
\node at ($(IBTMS) - (shiftV)-(shiftH)$)(MMS){MSplittingSolver};
\node at ($(MMS) - (shiftV)-(smallShiftH)$)(MGS){MGodunovSolver};
\node at ($(MMS) - (shiftV)+(smallShiftH)$)(MSS){MStrangSolver};
\node at ($(IBTMS) - (shiftV)-(shiftV)$)(IBTGS){IBTGodunovSolver};
\node at ($(IBTMS) - (shiftV)-(shiftV)+(shiftH)$)(IBTSS){IBTStrangSolver};

\path[-]
(MS) edge (IBTMS)
(IBTMS) edge (MMS)
(MMS) edge (MGS)
(MMS) edge (MSS)
(IBTMS) edge (IBTGS)
(IBTMS) edge (IBTSS);

\end{tikzpicture}






